Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06342 Crash/Freeze Critical (emulation) Always Aug 2, 2016, 23:00 Aug 6, 2016, 12:27
Tester rcoltrane View Status Public Platform
Assigned To crazyc Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver
Version 0.176 Fixed in Version 0.177 Build Normal
Summary MESS-specific 06342: pc (pccga): System crashing while loading
Description After deleting my old pc.cfg and updating all required files, including both MAME and QMC2, I've mounted a booter dsk image I've always used before in this driver and the system crashes. Tried to mnount an HDD too and it crashed as well. Here's the log:

19:56:40.656: stderr[#0]: -----------------------------------------------------
19:56:40.656: stderr[#0]: Exception at EIP=0000000003beb5f8 (__dynamic_cast+0x0008): ACCESS VIOLATION
19:56:40.656: stderr[#0]: While attempting to read memory at 0000000000000000
19:56:40.657: stderr[#0]: -----------------------------------------------------
19:56:40.657: stderr[#0]: RAX=0000000000000000 RBX=000000000893d1c0 RCX=0000000000000000 RDX=000000000782c1a0
19:56:40.657: stderr[#0]: RSI=000000000893d508 RDI=0000000015130b98 RBP=00000000002286b0 RSP=00000000002285a0
19:56:40.657: stderr[#0]: R8=0000000007827cd0 R9=fffffffffffffffe R10=00000000071c8460 R11=8101010101010100
19:56:40.658: stderr[#0]: R12=000000001512e100 R13=00000000ffffffff R14=0000000000000007 R15=00000000075d8680
19:56:41.420: stderr[#0]: -----------------------------------------------------
19:56:41.420: stderr[#0]: Stack crawl:
19:56:42.294: stderr[#0]: 0000000000228620: 0000000003beb5f8 (__dynamic_cast+0x0008)
19:56:43.058: stderr[#0]: 00000000002286e0: 00000000019bc105 (isa8_slot_device::device_start()+0x02a5)
19:56:43.716: stderr[#0]: 00000000002287f0: 0000000002ac8643 (device_t::start()+0x04c3)
19:56:44.478: stderr[#0]: 0000000000228860: 0000000002b44f87 (running_machine::start_all_devices()+0x0077)
19:56:45.241: stderr[#0]: 0000000000228940: 0000000002b4a143 (running_machine::start()+0x09b3)
19:56:46.004: stderr[#0]: 00000000002289c0: 0000000002b4a53e (running_machine::run(bool)+0x010e)
19:56:46.768: stderr[#0]: 000000000022f300: 00000000017df41f (mame_machine_manager::execute()+0x015f)
19:56:47.532: stderr[#0]: 000000000022f780: 000000000183b384 (cli_frontend::execute(int, char**)+0x0e04)
19:56:48.299: stderr[#0]: 000000000022f7f0: 00000000017de4c5 (emulator_info::start_frontend(emu_options&, osd_interface&, int, char**)+0x0035)
19:56:49.828: stderr[#0]: 000000000022fc30: 00000000017409bb (utf8_main(int, char**)+0x012b)
19:56:49.828: stderr[#0]: 000000000022fe50: 0000000002f6453c (wmain+0x018c)
19:56:50.594: stderr[#0]: 000000000022ff20: 000000000040140c (__tmainCRTStartup+0x025c)
19:56:50.594: stderr[#0]: 000000000022ff50: 000000000040153b (mainCRTStartup+0x001b)
19:56:50.594: stderr[#0]: 000000000022ff80: 0000000076cd652d (BaseThreadInitThunk+0x000d)
19:56:50.594: stderr[#0]: 000000000022ffd0: 0000000076e0c541 (RtlUserThreadStart+0x0021)
Steps To Reproduce Mount a booter game floppy disk or an HDD and try to run the system.
Additional Information
Flags
Regression Version
Affected Sets / Systems pc (pccga)
Attached Files
 
Relationships
related to 06335Resolvedcuavas UI: Input (general) selection menus do not display correctly or at all 
Notes
1
User avatar
No.13030
crazyc
Developer
Aug 3, 2016, 00:26
This is related to the rest of the 0.176 crashes and will be fixed in the next release.